import { world, BlockLocation, EntityQueryOptions, Vector } from '@minecraft/server'
import {ActionFormData} from '@minecraft/server-ui';
import {playersGun} from './player.js';

function indexFinder(_name, arr) {
	for (let i = 0; i < arr.length; i++) {
		if (arr[i].name === _name) {
			return i
		}
	}
}
const form = new ActionFormData()
  .title("Months")
  .body("Choose your favorite month!")
  .button("January")
  .button("February")
  .button("March")
  .button("April")
  .button("May");

world.events.beforeChat.subscribe((data) => {
    if ((/(?<=#:)[\w]*/).test(data.message)) {
        data.cancel = true;
        let index = indexFinder (data.sender.name, playersGun);
        playersGun[index][data.message.match(/(?<=#:)[\w]*/)[0]]();
        
    }
    else if (data.message === "!:menu") {
        data.cancel = true;
     showMenu(data.sender);
    }
    
});

function showMenu (player) {
form.show(player).then((response) => {
  if (response.selection === 3) {
    player.runCommandAsync("say I like April too!");
   }
  })
}