import { world, System, BlockLocation,  Vector,Location,SoundOptions} from '@minecraft/server';
import {playersGun} from './player.js'
import {indexFinder} from './gunFire.js'

world.events.beforeItemUseOn.subscribe((event) => {
    let block = world.getDimension(event.source.dimension.id).getBlock(event.blockLocation)
    if (block != undefined && block.typeId === "adn:guns_workbench" && event.source.isSneaking !== true) {
      let index = indexFinder (event.source.name, playersGun);
        playersGun[index].showWorkbenchMenu()
    }
})